<!DOCTYPE hibernate-configuration PUBLIC
	"-//Hibernate/Hibernate Configuration DTD 3.0//EN"
	"http://hibernate.sourceforge.net/hibernate-configuration-3.0.dtd">

<hibernate-configuration>
    <session-factory>
        <property name="show_sql">false</property>
        <property name="connection.datasource">java:comp/env/jdbc/DendrariumDB</property>
        <property name="hibernate.hbm2ddl.auto">validate</property>
 	    <property name="hibernate.dialect">org.hibernate.dialect.PostgreSQLDialect</property> 
        <property name="cache.provider_class">org.hibernate.cache.HashtableCacheProvider</property>
        <property name="transaction.flush_before_completion">true</property>
        <property name="transaction.factory_class">org.hibernate.transaction.JDBCTransactionFactory</property>
        <!-- <mapping package="dendrarium.core.entities" /> -->
        <mapping class="dendrarium.core.entities.Answer" />
        <mapping class="dendrarium.core.entities.Role" />
        <mapping class="dendrarium.core.entities.TaskBusinessProcess" />
        <mapping class="dendrarium.core.entities.Task" />
        <mapping class="dendrarium.core.entities.User" />
        <mapping class="dendrarium.core.entities.Packet" />
    </session-factory>
</hibernate-configuration>
